#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA754_A36M_A31E_A31M_A33M_A35E_A35M_AU1E_AU2E_AU2F_AU2G_AU3E
struct Library* ExecBase;
#if (EXETYPE != C15_MEM1)
BPTR DOSBase;
struct GfxBase* GfxBase;
struct IntuitionBase* IntuitionBase;
APTR LayersBase;
struct Device* G3154_ps_Device_Console;
#endif

#if (defined(MEDIA626_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME))
struct Events* CDInputHandler(struct Events* P2948_ps_Events, struct IOStdReq* P2949_ps_ConsoleDevice) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  G3154_ps_Device_Console(a5),-(sp)
                movea.l P2948_ps_Events(a6),a0
                movea.l P2949_ps_ConsoleDevice(a6),a1
                movea.l (sp)+,a6
                jsr     -0x2A(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}

short RawKeyConvert(struct InputEvent* P2950_ps_InputEvent, char* P2951_pc_Buffer, long P2952_l_BufferSize, struct KeyMap* P2953_ps_KeyMap) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  G3154_ps_Device_Console(a5),-(sp)
                movea.l P2950_ps_InputEvent(a6),a0
                movea.l P2951_pc_Buffer(a6),a1
                move.l  P2952_l_BufferSize(a6),d1
                movea.l P2953_ps_KeyMap(a6),a2
                movea.l (sp)+,a6
                jsr     -0x30(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)))
void AddIntServer(long P2954_l_, struct Interrupt* P2955_ps_Interrupt) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                move.l  P2954_l_(a6),d0
                movea.l P2955_ps_Interrupt(a6),a1
                movea.l (sp)+,a6
                jsr     -0xA8(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void AddPort(struct MsgPort* P2956_ps_MsgPort) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P2956_ps_MsgPort(a6),a1
                movea.l (sp)+,a6
                jsr     -0x162(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA764_AU1E_AU2E_AU3E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C13_GRF1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C17_USIO)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
long Alert(long P2957_l_, char* P2958_pc_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                move.l  P2957_l_(a6),d7
                movea.l P2958_pc_(a6),a5
                movea.l (sp)+,a6
                jsr     -0x6C(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA764_AU1E_AU2E_AU3E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C15_MEM1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void* AllocMem(long P2959_l_, long P2960_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                move.l  P2959_l_(a6),d0
                move.l  P2960_l_(a6),d1
                movea.l (sp)+,a6
                jsr     -0xC6(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
long AllocSignal(long P2961_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                move.l  P2961_l_(a6),d0
                movea.l (sp)+,a6
                jsr     -0x14A(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA764_AU1E_AU2E_AU3E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA618_A31E) && (EXETYPE == C15_MEM1)))
long AvailMem(long P2962_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                move.l  P2962_l_(a6),d1
                movea.l (sp)+,a6
                jsr     -0xD8(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME))  || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void ChangeSprite(struct ViewPort* P2963_ps_ViewPort, struct SimpleSprite* P2964_ps_SimpleSprite, short* P2965_pi_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P2963_ps_ViewPort(a6),a0
                movea.l P2964_ps_SimpleSprite(a6),a1
                movea.l P2965_pi_(a6),a2
                movea.l (sp)+,a6
                jsr     -0x1A4(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)))
struct IORequest* CheckIO(struct IORequest* P2966_ps_IORequest) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P2966_ps_IORequest(a6),a1
                movea.l (sp)+,a6
                jsr     -0x1D4(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
void Close(BPTR P2967_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P2967_l_(a6),d1
                movea.l (sp)+,a6
                jsr     -0x24(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
void CloseDevice(struct IORequest* P2968_ps_IORequest) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P2968_ps_IORequest(a6),a1
                movea.l (sp)+,a6
                jsr     -0x1C2(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA764_AU1E_AU2E_AU3E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C13_GRF1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C17_USIO)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void CloseLibrary(struct Library* P2969_ps_Library) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P2969_ps_Library(a6),a1
                movea.l (sp)+,a6
                jsr     -0x19E(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO))
void CloseScreen(struct Screen* P2970_ps_Screen) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  IntuitionBase(a5),-(sp)
                movea.l P2970_ps_Screen(a6),a0
                movea.l (sp)+,a6
                jsr     -0x42(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}

void CloseWindow(struct Window* P2971_ps_Window) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  IntuitionBase(a5),-(sp)
                movea.l P2971_ps_Window(a6),a0
                movea.l (sp)+,a6
                jsr     -0x48(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}

short CloseWorkBench(void) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  IntuitionBase(a5),-(sp)
                movea.l (sp)+,a6
                jsr     -0x4E(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA744_A36M) && (EXETYPE == C03_GAME))
struct Events* CDInputHandler(struct Events* P2948_ps_Events, struct IOStdReq* P2949_ps_ConsoleDevice) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  G3154_ps_Device_Console(a5),-(sp)
                movea.l P2948_ps_Events(a6),a0
                movea.l P2949_ps_ConsoleDevice(a6),a1
                movea.l (sp)+,a6
                jsr     -0x2A(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}

short RawKeyConvert(struct InputEvent* P2950_ps_InputEvent, char* P2951_pc_Buffer, long P2952_l_BufferSize, struct KeyMap* P2953_ps_KeyMap) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  G3154_ps_Device_Console(a5),-(sp)
                movea.l P2950_ps_InputEvent(a6),a0
                movea.l P2951_pc_Buffer(a6),a1
                move.l  P2952_l_BufferSize(a6),d1
                movea.l P2953_ps_KeyMap(a6),a2
                movea.l (sp)+,a6
                jsr     -0x30(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)))
long* DateStamp(long* P2972_pl_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P2972_pl_(a6),d1
                movea.l (sp)+,a6
                jsr     -0xC0(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C17_USIO)))
void Delay(long P2973_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P2973_l_(a6),d1
                movea.l (sp)+,a6
                jsr     -0xC6(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
short DeleteFile(char* P2974_pc_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P2974_pc_(a6),d1
                movea.l (sp)+,a6
                jsr     -0x48(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)))
struct Process* DeviceProc(char* P2975_pc_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P2975_pc_(a6),d1
                movea.l (sp)+,a6
                jsr     -0xAE(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME))
void Disable(void) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l (sp)+,a6
                jsr     -0x78(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C13_GRF1)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void DisownBlitter(void) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l (sp)+,a6
                jsr     -0x1CE(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME))
short DisplayAlert(long P2976_l_AlertNumber, char* P2977_pc_String, long P2978_l_Height) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  IntuitionBase(a5),-(sp)
                move.l  P2976_l_AlertNumber(a6),d0
                movea.l P2977_pc_String(a6),a0
                move.l  P2978_l_Height(a6),d1
                movea.l (sp)+,a6
                jsr     -0x5A(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
long DoIO(struct IORequest* P2979_ps_IORequest) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P2979_ps_IORequest(a6),a1
                movea.l (sp)+,a6
                jsr     -0x1C8(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME))
void Enable(void) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l (sp)+,a6
                jsr     -0x7E(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)))
short Examine(BPTR P2980_l_, struct FileInfoBlock* P2981_ps_FileInfoBlock) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P2980_l_(a6),d1
                move.l  P2981_ps_FileInfoBlock(a6),d2
                movea.l (sp)+,a6
                jsr     -0x66(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)))
long ExNext(BPTR P4398_, struct FilelnfoBlock* P4399_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P4398_(a6),d1
                move.l  P4399_(a6),d2
                movea.l (sp)+,a6
                jsr     -0x6C(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
void NewList(P2830_)
register struct List* P2830_;
{
        P2830_->lh_Head = &P2830_->lh_Tail;
        P2830_->lh_Tail = NULL;
        P2830_->lh_TailPred = &P2830_->lh_Head;
}

struct Message* CreateExtIO(P2831_, P2832_l_ByteCount)
struct MsgPort* P2831_;
long P2832_l_ByteCount;
{
        register struct Message* L2650_ps_Message;


        if (P2831_ == NULL) {
                return 0;
        }
        if ((L2650_ps_Message = AllocMem(P2832_l_ByteCount, MEMF_CLEAR | MEMF_PUBLIC)) == NULL) {
                return 0;
        }
        L2650_ps_Message->mn_Node.ln_Type = NT_MESSAGE;
        L2650_ps_Message->mn_Length = P2832_l_ByteCount;
        L2650_ps_Message->mn_ReplyPort = P2831_;
        return L2650_ps_Message;
}

void DeleteExtIO(P2835_)
register struct IOStdReq* P2835_;
{
        P2835_->io_Message.mn_Node.ln_Type = -1;
        P2835_->io_Message.mn_ReplyPort = (struct MsgPort*)-1L;
        P2835_->io_Device = (struct Device*)-1L;
        FreeMem(P2835_, (long)P2835_->io_Message.mn_Length);
}

struct IOStdReq* CreateStdIO(P2833_)
struct MsgPort* P2833_;
{
        return CreateExtIO(P2833_, (long)sizeof(struct IOStdReq));
}

void DeleteStdIO(P2834_)
struct IOStdReq* P2834_;
{
        DeleteExtIO(P2834_);
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
struct MsgPort* FindPort(char* P2982_ps_MsgPort) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P2982_ps_MsgPort(a6),a1
                movea.l (sp)+,a6
                jsr     -0x186(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
struct Task* FindTask(char* P2983_ps_FindTask) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P2983_ps_FindTask(a6),a1
                movea.l (sp)+,a6
                jsr     -0x126(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA764_AU1E_AU2E_AU3E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
void Forbid(void) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l (sp)+,a6
                jsr     -0x84(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void FreeColorMap(struct ColorMap* P2984_ps_ColorMap) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P2984_ps_ColorMap(a6),a0
                movea.l (sp)+,a6
                jsr     -0x240(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT))
void FreeCprList(struct cprlist* P5926_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P5926_(a6),a0
                movea.l (sp)+,a6
                jsr     -0x234(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif
 
#if ((defined(MEDIA744_A36M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA618_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA618_A31E) && (EXETYPE == C15_MEM1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA618_A31E) && (EXETYPE == C18_VDEO)))
void FreeMem(void* P2985_pv_, long P2986_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P2985_pv_(a6),a1
                move.l  P2986_l_(a6),d0
                movea.l (sp)+,a6
                jsr     -0xD2(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM))
long TypeOfMem(void* P2987_pv_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P2987_pv_(a6),a1
                movea.l (sp)+,a6
                jsr     -0x216(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
void FreeSignal(long P2988_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                move.l  P2988_l_(a6),d0
                movea.l (sp)+,a6
                jsr     -0x150(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME))
void FreeSprite(long P2989_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                move.l  P2989_l_(a6),d0
                movea.l (sp)+,a6
                jsr     -0x19E(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT))
void FreeVPortCopLists(struct ViewPort* P5927_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P5927_(a6),a0
                movea.l (sp)+,a6
                jsr     -0x21C(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
struct ColorMap* GetColorMap(long P2990_ps_ColorMap) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                move.l  P2990_ps_ColorMap(a6),d0
                movea.l (sp)+,a6
                jsr     -0x23A(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C17_USIO)))
struct Message* GetMsg(struct MsgPort* P2991_ps_MsgPort) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P2991_ps_MsgPort(a6),a0
                movea.l (sp)+,a6
                jsr     -0x174(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME))
short GetSprite(struct SimpleSprite* P2992_ps_SimpleSprite, long P2993_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P2992_ps_SimpleSprite(a6),a0
                move.l  P2993_l_(a6),d0
                movea.l (sp)+,a6
                jsr     -0x198(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C17_USIO)))
short Info(BPTR P2994_l_, struct InfoData* P2995_ps_InfoData) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P2994_l_(a6),d1
                move.l  P2995_ps_InfoData(a6),d2
                movea.l (sp)+,a6
                jsr     -0x72(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C13_GRF1)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void InitBitMap(struct BitMap* P2996_ps_BitMap, long P2997_l_, long P2998_l_, long P2999_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P2996_ps_BitMap(a6),a0
                move.l  P2997_l_(a6),d0
                move.l  P2998_l_(a6),d1
                move.l  P2999_l_(a6),d2
                movea.l (sp)+,a6
                jsr     -0x186(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}

void InitRastPort(struct RastPort* P3000_ps_RastPort) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P3000_ps_RastPort(a6),a1
                movea.l (sp)+,a6
                jsr     -0xC6(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void InitView(struct View* P3001_ps_View) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P3001_ps_View(a6),a1
                movea.l (sp)+,a6
                jsr     -0x168(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}

void InitVPort(struct ViewPort* P3002_ps_ViewPort) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P3002_ps_ViewPort(a6),a0
                movea.l (sp)+,a6
                jsr     -0xCC(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT))
long IoErr(
)
{
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                movea.l (sp)+,a6
                jsr     -0x84(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void LoadRGB4(struct ViewPort* P3003_ps_ViewPort, short* P3004_pi_, long P3005_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P3003_ps_ViewPort(a6),a0
                movea.l P3004_pi_(a6),a1
                move.l  P3005_l_(a6),d0
                movea.l (sp)+,a6
                jsr     -0xC0(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void LoadView(struct View* P3006_ps_View) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P3006_ps_View(a6),a1
                movea.l (sp)+,a6
                jsr     -0xDE(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C17_USIO)))
struct FileLock* Lock(char* P3007_pc_Name, long P3008_l_AccessMode) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P3007_pc_Name(a6),d1
                move.l  P3008_l_AccessMode(a6),d2
                movea.l (sp)+,a6
                jsr     -0x54(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)))
void MakeScreen(struct Screen* P3009_ps_Screen) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  IntuitionBase(a5),-(sp)
                movea.l P3009_ps_Screen(a6),a0
                movea.l (sp)+,a6
                jsr     -0x17A(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT))
unsigned long MakeVPort(struct View* P5928_, struct ViewPort* P5929_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P5928_(a6),a0
                movea.l P5929_(a6),a1
                movea.l (sp)+,a6
                jsr     -0xD8(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C17_USIO)))
void ModifyIDCMP(struct Window* P3010_ps_Window, long P3011_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  IntuitionBase(a5),-(sp)
                movea.l P3010_ps_Window(a6),a0
                move.l  P3011_l_(a6),d0
                movea.l (sp)+,a6
                jsr     -0x96(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME))
void MoveSprite(struct ViewPort* P3012_ps_ViewPort, struct SimpleSprite* P3013_ps_SimpleSprite, long P3014_l_, long P3015_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P3012_ps_ViewPort(a6),a0
                movea.l P3013_ps_SimpleSprite(a6),a1
                move.l  P3014_l_(a6),d0
                move.l  P3015_l_(a6),d1
                movea.l (sp)+,a6
                jsr     -0x1AA(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT))
void MrgCop(struct View* P5930_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P5930_(a6),a1
                movea.l (sp)+,a6
                jsr     -0xD2(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
FILE_HANDLE Open(char* P3016_pc_, long P3017_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P3016_pc_(a6),d1
                move.l  P3017_l_(a6),d2
                movea.l (sp)+,a6
                jsr     -0x1E(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
long OpenDevice(char* P3018_pc_, long P3019_l_, struct IORequest* P3020_ps_IORequest, long P3021_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P3018_pc_(a6),a0
                move.l  P3019_l_(a6),d0
                movea.l P3020_ps_IORequest(a6),a1
                move.l  P3021_l_(a6),d1
                movea.l (sp)+,a6
                jsr     -0x1BC(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA764_AU1E_AU2E_AU3E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C13_GRF1)) || (defined(MEDIA618_A31E) && (EXETYPE == C15_MEM1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C17_USIO)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void F1065_SetExecBase(
)
{
        asm {
                move.l  (4).w,ExecBase(a5)      /*  Address of Amiga Exec */
        }
}

void ResetAmiga(
)
{ /* Restart computer */
        asm {
                movea.l (4).w,a6                /* Exec */
                jsr     -0x96(a6)               /* SuperState() */
                move    #0x2700,sr
                move.l  #0x4E704EF9,(0).w       /* Write RESET (Reset external devices) and JMP instruction opcodes */
                jmp     0                       /* Execute the RESET and then jump to address stored at address 4 = address of Amiga Exec */
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA764_AU1E_AU2E_AU3E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C13_GRF1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C17_USIO)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
struct Library* OpenLibrary(char* P3022_pc_, long P3023_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P3022_pc_(a6),a1
                move.l  P3023_l_(a6),d0
                movea.l (sp)+,a6
                jsr     -0x228(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA626_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME))
struct MiscResource* OpenResource(char* P3024_pc_, long P3025_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P3024_pc_(a6),a1
                move.l  P3025_l_(a6),d0
                movea.l (sp)+,a6
                jsr     -0x1F2(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO))
struct Screen* OpenScreen(struct NewScreen* P3026_ps_NewScreen) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  IntuitionBase(a5),-(sp)
                movea.l P3026_ps_NewScreen(a6),a0
                movea.l (sp)+,a6
                jsr     -0xC6(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}

struct Window* OpenWindow(struct NewWindow* P3027_ps_NewWindow) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  IntuitionBase(a5),-(sp)
                movea.l P3027_ps_NewWindow(a6),a0
                movea.l (sp)+,a6
                jsr     -0xCC(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C13_GRF1)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void OwnBlitter(void) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l (sp)+,a6
                jsr     -0x1C8(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA764_AU1E_AU2E_AU3E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
void Permit(void) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l (sp)+,a6
                jsr     -0x8A(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
struct MsgPort* CreatePort(P2828_, P2829_)
#if ((defined(MEDIA626_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
register char* P2828_;
#endif
#if (defined(MEDIA744_A36M) && (EXETYPE == C03_GAME))
char* P2828_;
#endif
long P2829_;
{
        register struct MsgPort* L2651_ps_MsgPort;
#if (defined(MEDIA744_A36M) && (EXETYPE == C03_GAME))
        register char* L2654_pc_Name;
#endif
        register int16_t L2652_i_;


#if (defined(MEDIA744_A36M) && (EXETYPE == C03_GAME))
        L2654_pc_Name = P2828_;
#endif
        if ((L2652_i_ = AllocSignal(-1L)) == -1) {
                return 0;
        }
        if ((L2651_ps_MsgPort = AllocMem((long)sizeof(struct MsgPort), MEMF_CLEAR | MEMF_PUBLIC)) == NULL) {
                FreeSignal((long)L2652_i_);
                return 0;
        }
#if ((defined(MEDIA626_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
        L2651_ps_MsgPort->mp_Node.ln_Name = P2828_;
#endif
#if (defined(MEDIA744_A36M) && (EXETYPE == C03_GAME))
        L2651_ps_MsgPort->mp_Node.ln_Name = L2654_pc_Name;
#endif
        L2651_ps_MsgPort->mp_Node.ln_Pri = P2829_;
        L2651_ps_MsgPort->mp_Node.ln_Type = NT_MSGPORT;
        L2651_ps_MsgPort->mp_Flags = 0;
        L2651_ps_MsgPort->mp_SigBit = L2652_i_;
        L2651_ps_MsgPort->mp_SigTask = FindTask(0L);
#if ((defined(MEDIA626_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
        if (P2828_) {
#endif
#if (defined(MEDIA744_A36M) && (EXETYPE == C03_GAME))
        if (L2654_pc_Name) {
#endif
                AddPort(L2651_ps_MsgPort);
        } else {
                NewList(&L2651_ps_MsgPort->mp_MsgList);
        }
        return L2651_ps_MsgPort;
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
void DeletePort(P2836_)
register struct MsgPort* P2836_;
{
        if (P2836_->mp_Node.ln_Name) {
                RemPort(P2836_);
        }
        P2836_->mp_SigTask = (struct Task*)-1;
        P2836_->mp_MsgList.lh_Head = (struct Node*)-1;
        FreeSignal(P2836_->mp_SigBit);
        FreeMem(P2836_, (long)sizeof(struct MsgPort));
}

void BeginIO(P2837_)
struct IORequest* P2837_;
{
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                movea.l P2837_(a6),a1
                movea.l 0x14(a1),a6             /* P2837_->io_Device */
                jsr     -0x1E(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)))
void PutMsg(struct MsgPort* P3028_ps_MsgPort, struct Message* P3029_ps_Message) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P3028_ps_MsgPort(a6),a0
                movea.l P3029_ps_Message(a6),a1
                movea.l (sp)+,a6
                jsr     -0x16E(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
long Read(BPTR P3030_l_, char* P3031_pc_, long P3032_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P3030_l_(a6),d1
                move.l  P3031_pc_(a6),d2
                move.l  P3032_l_(a6),d3
                movea.l (sp)+,a6
                jsr     -0x2A(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C13_GRF1)))
void RectFill(struct RastPort* P3033_ps_RastPort, long P3034_l_, long P3035_l_, long P3036_l_, long P3037_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P3033_ps_RastPort(a6),a1
                move.l  P3034_l_(a6),d0
                move.l  P3035_l_(a6),d1
                move.l  P3036_l_(a6),d2
                move.l  P3037_l_(a6),d3
                movea.l (sp)+,a6
                jsr     -0x132(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO))
void RemakeDisplay(void) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  IntuitionBase(a5),-(sp)
                movea.l (sp)+,a6
                jsr     -0x180(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)))
void RemIntServer(long P3038_l_, struct Interrupt* P3039_ps_Interrupt) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                move.l  P3038_l_(a6),d0
                movea.l P3039_ps_Interrupt(a6),a1
                movea.l (sp)+,a6
                jsr     -0xAE(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void RemPort(struct MsgPort* P3040_ps_MsgPort) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P3040_ps_MsgPort(a6),a1
                movea.l (sp)+,a6
                jsr     -0x168(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
short Rename(char* P3041_pc_, char* P3042_pc_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P3041_pc_(a6),d1
                move.l  P3042_pc_(a6),d2
                movea.l (sp)+,a6
                jsr     -0x4E(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)))
void RethinkDisplay(void) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  IntuitionBase(a5),-(sp)
                movea.l (sp)+,a6
                jsr     -0x186(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C17_USIO)))
void ReplyMsg(struct MsgPort* P3043_ps_MsgPort) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P3043_ps_MsgPort(a6),a1
                movea.l (sp)+,a6
                jsr     -0x17A(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT))
void RethinkDisplay(void) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  IntuitionBase(a5),-(sp)
                movea.l (sp)+,a6
                jsr     -0x186(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void ScreenToFront(struct Screen* P3044_ps_Screen) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  IntuitionBase(a5),-(sp)
                movea.l P3044_ps_Screen(a6),a0
                movea.l (sp)+,a6
                jsr     -0xFC(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
long Seek(BPTR P3045_l_, long P3046_l_, long P3047_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P3045_l_(a6),d1
                move.l  P3046_l_(a6),d2
                move.l  P3047_l_(a6),d3
                movea.l (sp)+,a6
                jsr     -0x42(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C13_GRF1)))
void SetAPen(struct RastPort* P3048_ps_RastPort, long P3049_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P3048_ps_RastPort(a6),a1
                move.l  P3049_l_(a6),d0
                movea.l (sp)+,a6
                jsr     -0x156(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}

void SetDrMd(struct RastPort* P3050_ps_RastPort, long P3051_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P3050_ps_RastPort(a6),a1
                move.l  P3051_l_(a6),d0
                movea.l (sp)+,a6
                jsr     -0x162(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA626_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME))
long SetExcept(long P3052_l_Signals, long P3053_l_SignalMask) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                move.l  P3052_l_Signals(a6),d0
                move.l  P3053_l_SignalMask(a6),d1
                movea.l (sp)+,a6
                jsr     -0x138(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
long SetFunction(struct Library* P3054_ps_Library, long P3055_l_, APTR P3056_puc_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P3054_ps_Library(a6),a1
                movea.l P3055_l_(a6),a0
                move.l  P3056_puc_(a6),d0
                movea.l (sp)+,a6
                jsr     -0x1A4(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C17_USIO)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void SetPointer(struct Window* P3057_ps_Window, UWORD* P3058_pui_, long P3059_i_, long P3060_i_, long P3061_i_, long P3062_i_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  IntuitionBase(a5),-(sp)
                movea.l P3057_ps_Window(a6),a0
                movea.l P3058_pui_(a6),a1
                move.l  P3059_i_(a6),d0
                move.l  P3060_i_(a6),d1
                move.l  P3061_i_(a6),d2
                move.l  P3062_i_(a6),d3
                movea.l (sp)+,a6
                jsr     -0x10E(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void SetRast(struct RastPort* P3063_ps_RastPort, long P3064_uc_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P3063_ps_RastPort(a6),a1
                move.l  P3064_uc_(a6),d0
                movea.l (sp)+,a6
                jsr     -0xEA(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA758_A36M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void SetRGB4(struct ViewPort* P3065_pc_ViewPort, long P3066_l_, long P3067_l_, long P3068_l_, long P3069_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l P3065_pc_ViewPort(a6),a0
                move.l  P3066_l_(a6),d0
                move.l  P3067_l_(a6),d1
                move.l  P3068_l_(a6),d2
                move.l  P3069_l_(a6),d3
                movea.l (sp)+,a6
                jsr     -0x120(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA626_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME))
void Signal(struct Task* P3070_ps_Task, long P3071_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P3070_ps_Task(a6),a1
                move.l  P3071_l_(a6),d0
                movea.l (sp)+,a6
                jsr     -0x144(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C17_USIO)))
void UnLock(BPTR P3072_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P3072_l_(a6),d1
                movea.l (sp)+,a6
                jsr     -0x5A(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA619_A31E_A31M) && (EXETYPE == C13_GRF1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void WaitBlit(void) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l (sp)+,a6
                jsr     -0xE4(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
short WaitForChar(BPTR P3073_l_, long P3074_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P3073_l_(a6),d1
                move.l  P3074_l_(a6),d2
                movea.l (sp)+,a6
                jsr     -0xCC(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
long WaitIO(struct IORequest* P3075_ps_IORequest) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P3075_ps_IORequest(a6),a1
                movea.l (sp)+,a6
                jsr     -0x1DA(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA745_A36M_A31E) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)))
struct Message* WaitPort(struct MsgPort* P3076_ps_MsgPort) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P3076_ps_MsgPort(a6),a0
                movea.l (sp)+,a6
                jsr     -0x180(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA764_AU1E_AU2E_AU3E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)) || (defined(MEDIA636_A31E_A31M_A35E) && (EXETYPE == C18_VDEO)))
void WaitTOF(void) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  GfxBase(a5),-(sp)
                movea.l (sp)+,a6
                jsr     -0x10E(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if ((defined(MEDIA746_A36M_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME)) || (defined(MEDIA762_AU1E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA763_AU1E_AU2E) && (EXETYPE == C07_HINT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA618_A31E) && (EXETYPE == C01_SWOOSH)))
long Write(BPTR P3077_l_, char* P3078_pc_, long P3079_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  DOSBase(a5),-(sp)
                move.l  P3077_l_(a6),d1
                move.l  P3078_pc_(a6),d2
                move.l  P3079_l_(a6),d3
                movea.l (sp)+,a6
                jsr     -0x30(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif

#if (defined(MEDIA626_A31E_A31M_A33M_A35E_A35M) && (EXETYPE == C03_GAME) || (defined(MEDIA768_AU2E_AU3E) && (EXETYPE == C06_CEDT)) || (defined(MEDIA652_A31E_A35M_AU1E_AU2F) && (EXETYPE == C05_ANIM)) || (defined(MEDIA662_A31M_A35M) && (EXETYPE == C08_LANG)) || (defined(MEDIA744_A36M) && (EXETYPE == C09_CNFG)) || (defined(MEDIA767_AU2E) && (EXETYPE == C12_FIO1)) || (defined(MEDIA661_A31M_A35E) && (EXETYPE == C18_VDEO)))
void FreeMem(void* P2985_pv_, long P2986_l_) {
        asm {
                movem.l d3-d7/a2-a6,-(sp)
                move.l  ExecBase(a5),-(sp)
                movea.l P2985_pv_(a6),a1
                move.l  P2986_l_(a6),d0
                movea.l (sp)+,a6
                jsr     -0xD2(a6)
                movem.l (sp)+,d3-d7/a2-a6
        }
}
#endif
#endif
